# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "diff_core"
version = "0.1.8"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Semantic PDF comparison engine for matching document blocks and reporting meaningful changes."
readme = "README.md"
keywords = [
    "pdf",
    "diff",
    "semantic",
    "comparison",
    "document",
]
categories = ["text-processing"]
license = "MIT"
repository = "https://github.com/eraydin/semantic-pdf-diff"

[features]
fuzzing = []

[lib]
name = "diff_core"
path = "src/lib.rs"

[[bench]]
name = "diff_benchmark"
path = "benches/diff_benchmark.rs"
harness = false

[dependencies.pdf_semantic]
version = "0.1.8"

[dependencies.spdfdiff_types]
version = "0.1.8"

[dev-dependencies.criterion]
version = "0.7"

[lints.clippy]
all = "warn"

[lints.rust]
unsafe_code = "forbid"

[lints.rust.rust_2018_idioms]
level = "warn"
priority = -1
